Get Polymarket Market Trades
curl --request GET \
--url https://synthesis.trade/api/v1/polymarket/market/{condition_id}/tradesimport requests
url = "https://synthesis.trade/api/v1/polymarket/market/{condition_id}/trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://synthesis.trade/api/v1/polymarket/market/{condition_id}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": [
{
"tx_hash": "0xa1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
"token_id": "21742633143463906290569050155826241533067272736897614950488156847949938836455",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"side": true,
"amount": "100.000",
"shares": "152.300",
"price": "0.657",
"username": "trader123",
"image": "https://example.com/avatar.png",
"created_at": "2026-01-01T00:00:00"
}
]
}Polymarket
Get Polymarket Market Trades
Get recent trades for a Polymarket market.
Get Polymarket Market Trades
Path Parameters
Polymarket condition ID.
Example:
"0xbd71b43bb47eb60dbcb41fa25df2a0ed4da612873d6e0447a2c730bd4cc25910"
Query Parameters
Maximum trades to return. Capped at 1000.
Example:
100
Pagination offset.
Example:
0
Response
200 - application/json
Polymarket market trades
⌘I